<?xml version="1.0"?>

<PropertyList>

  <path>MiG-15bis-Flapsvalvepressuremeter.ac</path> 

  <effect>
    <inherits-from>Effects/model-transparent</inherits-from>
    <object-name>FVPM_Glass</object-name>
  </effect>

  <animation>
    <type>rotate</type>
    <object-name>FVPM_Needle</object-name>
    <property>fdm/jsbsim/systems/flapsvalve/pressure-indicated</property>
    <interpolation>
      <entry><ind>0.0</ind><dep>60.0</dep></entry>
      <entry><ind>1.0</ind><dep>300.0</dep></entry>
    </interpolation>
    <center>
      <x-m>0</x-m>
      <y-m>0</y-m>
      <z-m>0</z-m>
    </center>  
    <axis>
      <x>0</x>
      <y>0</y>
      <z>-1</z>
    </axis>
  </animation>

  <animation>
    <type>material</type>
    <object-name>FVPM_Bezel</object-name>
    <emission>
      <factor>0.7</factor>
      <red-prop>fdm/jsbsim/systems/lighting/ARUFOSh-45[0]/lightsrc/white_r-norm</red-prop>
      <green-prop>fdm/jsbsim/systems/lighting/ARUFOSh-45[0]/lightsrc/white_g-norm</green-prop>
      <blue-prop>fdm/jsbsim/systems/lighting/ARUFOSh-45[0]/lightsrc/white_b-norm</blue-prop>
    </emission>
  </animation>

  <animation>
    <type>material</type>
    <object-name>FVPM_Needle</object-name>
    <object-name>FVPM_Backplate</object-name>
    <emission>
      <factor>0.7</factor>
      <red-prop>fdm/jsbsim/systems/lighting/ARUFOSh-45[0]/lightsrc/ph_green_r-norm</red-prop>
      <green-prop>fdm/jsbsim/systems/lighting/ARUFOSh-45[0]/lightsrc/ph_green_g-norm</green-prop>
      <blue-prop>fdm/jsbsim/systems/lighting/ARUFOSh-45[0]/lightsrc/ph_green_b-norm</blue-prop>
    </emission>
  </animation>

</PropertyList>
